package discovery

import (
	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type Service struct {
	MetaCryptoTypeKey *meta.MetaCryptoType `json:"metaCryptoType,omitempty"`
	Name              string               `json:"name,omitempty"`

	Port *Port `json:"port,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
