package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type InfraHostPort struct {
	ID           json.Number        `json:"id,Number,omitempty"`
	InfraHost    *InfraHost         `json:"infraHost,omitempty"`
	MetaPortType *meta.MetaPortType `json:"metaPortType,omitempty"`
	Port         json.Number        `json:"port,Number,omitempty"`
	CreateDate   *util.Timestamp    `json:"createDate,omitempty"`
}
