package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type InfraHostMachine struct {
	ID         json.Number     `json:"id,Number,omitempty"`
	InfraHost  *InfraHost      `json:"infraHost,omitempty"`
	Meta       string          `json:"meta,omitempty"`
	CreateDate *util.Timestamp `json:"createDate,omitempty"`
}
